Audio control functions

Functions
Audio control functions
Emotion » API available for manipulating Emotion object.

## Functions
EAPI void | emotion_object_audio_volume_set (Evas_Object *obj, double vol)
| Set the audio volume. More...
EAPI double | emotion_object_audio_volume_get (const Evas_Object *obj)
| Get the audio volume. More...
EAPI void | emotion_object_audio_mute_set (Evas_Object *obj, Eina_Bool mute)
| Set the mute audio option for this object. More...
EAPI Eina_Bool | emotion_object_audio_mute_get (const Evas_Object *obj)
| Get the mute audio option of this object. More...

## Detailed Description

## Function Documentation

## ◆ emotion_object_audio_volume_set()

EAPI void emotion_object_audio_volume_set | ( | Evas_Object * | obj,
|  | double | vol
| ) |  |

Set the audio volume.

Parameters

  obj | The object where the volume is being set.
  vol | The new volume parameter. Range is from 0.0 to 1.0.

Sets the audio volume of the stream being played. This has nothing to do with the system volume. This volume will be multiplied by the system volume. e.g.: if the current volume level is 0.5, and the system volume is 50%, it will be 0.5 * 0.5 = 0.25.

The default value depends on the module used. This value doesn't get changed when another file is loaded.

See also
  emotion_object_audio_volume_get()

## ◆ emotion_object_audio_volume_get()

EAPI double emotion_object_audio_volume_get | ( | const Evas_Object * | obj | ) |

Get the audio volume.

Parameters

  obj | The object from which we are retrieving the volume.

Returns
  The current audio volume level for this object.

Get the current value for the audio volume level. Range is from 0.0 to 1.0. This volume is set with emotion_object_audio_volume_set().

See also
  emotion_object_audio_volume_set()

## ◆ emotion_object_audio_mute_set()

EAPI void emotion_object_audio_mute_set | ( | Evas_Object * | obj,
|  | Eina_Bool | mute
| ) |  |

Set the mute audio option for this object.

Parameters

  obj | The object which we are setting the mute audio option.
  mute | Whether the audio should be muted (`EINA_TRUE`) or not (`EINA_FALSE`).

This function sets the mute audio option for this emotion object. The current module used for this object can use this to avoid decoding the audio portion of the loaded media file.

See also
  emotion_object_audio_mute_get()
  emotion_object_video_mute_set()

## ◆ emotion_object_audio_mute_get()

EAPI Eina_Bool emotion_object_audio_mute_get | ( | const Evas_Object * | obj | ) |

Get the mute audio option of this object.

Parameters

  obj | The object which we are retrieving the mute audio option from.

Returns
  Whether the audio is muted (`EINA_TRUE`) or not (`EINA_FALSE`).

This function return the mute audio option from this emotion object. It can be set with emotion_object_audio_mute_set().

See also
  emotion_object_audio_mute_set()